=== debian/changelog ===
yaha (0.1.83-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:04:19 +0100

yaha (0.1.83-1) unstable; urgency=medium

  * Initial release (Closes: #903602)

 -- Steffen Moeller <moeller@debian.org>  Wed, 11 Jul 2018 20:27:27 +0200
