=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%yaha-$1.tar.gz%" \
   https://github.com/GregoryFaust/yaha/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
